/*
///////////////////////////////////////////////////////////////////////////////
//
//   Project: Altera circuit of SLIDAS 
//
//   File name: edge_latch.v
//   Version:   4.2
//   Updated:   99/08/26 13:56:22
//
//   Author: Ph. Brodier-Yourstone, ECP division, CERN
//
///////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////

     Module description:
     -------------------


///////////////////////////////////////////////////////////////////////////////
*/


module edge_latch (q, edge_in, reset);
  input edge_in, reset;
  output q;

  reg q;

  always @(posedge edge_in or posedge reset)
    if (reset) q <= #1 0;
      else q <= #1 1;

  initial q = 0;  // for simulation purposes

endmodule
