`include "internal_trigger.v"
`include "sync_level.v"

module int_trig_sim;

  reg clk66, sysreset, ureset;
  reg [3:0] duty_switch;
  reg [20:0] counter;

  always #10 clk66 = ~clk66;

  initial 
    begin
      clk66        = 0;
      sysreset     = 1;
      #100 sysreset = 0;
      ureset       = 0;
      duty_switch  = (4'd 3);
      counter      = 0;
      #100000 $stop;
    end


internal_trigger trig1(clk66, duty_switch, sysreset, ureset,    
			internal_trigger);

always @(posedge clk66) counter <= #1 counter + 1;


always @(posedge internal_trigger) $display("count:", counter);

endmodule
