`include "altera_prologue.vh"


initial begin
  utdo_on;
  
  #100 async_speed_switch = ~4'h0; // fastest
  async_pattern_switch = ~4'h0;    // test mode
  async_length_switch = ~4'h3;     // 16 words
  async_duty_switch = ~4'h0;       // run mode

  #123 ureset_on;
  #130 ureset_off;

  
  #3000 $stop;
end

  always #600 step_pulse;

always @(posedge lclk) $display(
  "External:  lclk ", lclk,
/*  " sysr ", d_u_t.state_machine1.sysreset,
  " ures ", d_u_t.state_machine1.ureset,
  " ldn ", d_u_t.state_machine1.ldown_n,
  " POR ", d_u_t.state_machine1.power_on_reset_n,
  " SMR ", d_u_t.state_machine1.state_machine_reset,*/
  " EOB ", d_u_t.end_of_block,
  " sel %b ", d_u_t.state_machine1.selection,
  "  step:", d_u_t.step,
  "  lwen:", lwen_n,
  "  ld:%h", ld,
  "  lctrl:", lctrl_n
  );
  
/* initial $gr_waves(
  "External:  lclk ", lclk,
  "  ureset_n ", ureset_n,
  "  ldown_n ", ldown_n,
  "  bl_len%h", d_u_t.block_length,
  "  Int: ldown:", d_u_t.ldown,
  "  step:", d_u_t.step,
  "  sysen", d_u_t.state_machine1.sysenable,
  "  clk_en", d_u_t.state_machine1.clock_enable,
  "  running:", d_u_t.state_machine1.running,
  "  len_0", d_u_t.state_machine1.length_is_0,
  "  len_1", d_u_t.state_machine1.length_is_1,
  "  WCR", d_u_t.word_counter1.word_count_reset,
  "  WCE", d_u_t.word_counter1.word_count_en,
  "  LenCou%h", d_u_t.word_counter1.length_counter,
  "  EOB", d_u_t.state_machine1.end_of_block,
  "  select%b", d_u_t.selection,
  "  state:%h", d_u_t.state_machine1.SM1.state,
  "dat_ctr", d_u_t.data_gen1.data_counter_q,
  "DC_res", d_u_t.data_gen1.data_counter_reset,
  "DC_en", d_u_t.data_gen1.data_counter_enable
  ); */


  
endmodule



