`include "altera_prologue.vh"


initial begin
  #100 async_speed_switch = ~(4'd 1);
  async_pattern_switch = ~(4'd 5);
  async_length_switch = ~(4'd 3);
  async_duty_switch = ~(4'd 3);
  #123 ureset_n        = 0;
  
  @(posedge ldown_n) #130 ureset_n = 1;

  data_on;
  ctrl_on;
  block_off;

  #3000 d_u_t.reset_blinker1.counter = 25'h 8003ff;
end

//always #500 uxoff_n = ~uxoff_n;

  
always @(posedge clk66) $display(
  "External:  lclk ", lclk,
  "  step:", d_u_t.step,
  "  ureset_n ", ureset_n,
  "  ureset_p ", d_u_t.reset_blinker1.reset_p,
  "  ureset_led ", d_u_t.reset_blinker1.reset_led,
  "  carry0 ", d_u_t.reset_blinker1.carry0,
  "  carry1 ", d_u_t.reset_blinker1.carry1,
  "  counter%h", d_u_t.reset_blinker1.counter
  );
  
/* initial $gr_waves(
  "External:  lclk ", lclk,
  "  ureset_n ", ureset_n,
  "  ureset_led ", reset_led,
  "  uxoff_n", uxoff_n,
  "  ldown_n", ldown_n,
  "  bl_len%h", d_u_t.block_length,
  "  Int: ldown:", d_u_t.ldown,
  "  step:", d_u_t.step,
  "  sysen", d_u_t.state_machine1.sysenable,
  "  clk_en", d_u_t.state_machine1.clock_enable,
  "  running:", d_u_t.state_machine1.running,
  "  len_0", d_u_t.state_machine1.length_is_0,
  "  len_1", d_u_t.state_machine1.length_is_1,
  "  BLhbi0", d_u_t.word_counter1.BL_hi_byte_is_0,
  "  BLlbi1", d_u_t.word_counter1.BL_lo_byte_is_4,
  "  LChbi0", d_u_t.word_counter1.LC_hi_byte_is_0,
  "  LClbi1", d_u_t.word_counter1.LC_lo_byte_is_1,
  "  WCR", d_u_t.word_counter1.word_count_reset,
  "  WCE", d_u_t.word_counter1.word_count_en,
  "  LenCou%h", d_u_t.word_counter1.length_counter,
  
  "  EOB", d_u_t.state_machine1.end_of_block,
  "  utdo", d_u_t.state_machine1.utdo,
  "  state:%h", d_u_t.state_machine1.state,
  "  next_st%h", d_u_t.state_machine1.next_state,
  "  SM_res", d_u_t.state_machine1.state_machine_reset,
  "  rand_res", d_u_t.random_reset

  ); */


  
endmodule



