`include "altera_prologue.vh"


initial begin
  #100 async_speed_switch = 1;
  async_pattern_switch = 1;
  #600 async_step2 = 1;
  #10 async_step3 = 0;
  #123 ureset_n        = 0;
  @(posedge ldown_n) #30 ureset_n = 1;
  #200 $finish;
end

always @(posedge clk66) $display(
  "External:  lclk ", lclk,
  "  ureset_n ", ureset_n,
  "  ldown_n ", ldown_n,

  "  Int: ldown:", d_u_t.ldown,
  "  ureset:", d_u_t.ureset,
  "  state:%d", d_u_t.ldown_gen1.ldown_state,
  "  POreset:", d_u_t.power_on_reset_n,
  "  sysreset:", d_u_t.state_machine1.sysreset,
  "  TM:", d_u_t.ldown_gen1.test_mode,
  "  lle:", d_u_t.ldown_gen1.ldown_long_enough
  

  );

//initial $gr_waves("lclk", lclk);
  
endmodule



