/*/////////////////////////////////////////////////////////////////////////////
//
//   Project: Altera circuit of SLIDAS 
//
//   File name: random_data.c
//   Version:   1.1
//
//
//   Author: Ph. Brodier-Yourstone, ECP division, CERN
//
/////////////////////////////////////////////////////////////////////////////*/

/*/////////////////////////////////////////////////////////////////////////////

     Program description:
     --------------------

     This is a function that simulates the random data generation of 
     the slidas.

/////////////////////////////////////////////////////////////////////////////*/

#define INITIAL 0x524948e0



long int random_data (action)
  int action;
  static int q = INITIAL;
{
  if 

  always @(posedge lclk)
    if (sysenable) begin
      if (reset) q <= #1 32'h 524948e0;
      else if (enable) q <= #1 {q[5],  q[24], q[13], q[25],
	                        q[10], q[30], q[18], q[6],
	                        q[14], q[7],  q[17], q[3],
				q[0],  q[16], q[12], q[29]^q[31]^q[5]^q[18],
				q[31], q[26], q[21], q[27],
				q[15], q[23], q[2],  q[11],
				q[9],  q[20], q[4],  q[28],
				q[22], q[19], q[8],  q[1]};

//	q[30:0], `_31 ^ `_6 ^ `_5 ^ `_1};
    end
    else q <= #1 q;
	
endmodule

