/*
/////////////////////////////////////////////////////////////////////////////
//
//   Project: Altera circuit of SLIDAS 
//
//   File name: selection_pipe.v
//   Version:   4.3
//   Updated:   99/08/26 13:56:34
//
//   Author: Ph. Brodier-Yourstone, ECP division, CERN
//
/////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////

     Module description:
     -------------------


/////////////////////////////////////////////////////////////////////////////
*/


module selection_pipe (lclk, sysenable, pipe_reset, selection, selection2_, selection3_);

  input lclk, sysenable, pipe_reset;
  input [9:0] selection;
  output [9:0] selection2_, selection3_;

  reg [9:0]  selection2_, selection3_;

  always @(posedge lclk)
    if (sysenable)
      if (pipe_reset)
      	begin
	  selection2_ <= 0;
	  selection3_ <= 0;
      	end
      else
      	begin
	  selection2_ <= #1 selection;
	  selection3_ <= #1 selection2_;
      	end
endmodule


	

