  ( lclk,
  
    state_machine_reset,
		 
  // SIGNALS FROM ROTARY SWITCH
    pattern_switch,
		 
  // SIGNAL FROM XOFF_HANDLER
    sysenable,

  // SIGNAL FROM UTDO_SAMPLER
    utdo,

  // SIGNALS FROM DUTY_CONTROLLER
    clock_enable, running,

  // SIGNALS TO DATA_GEN
    walking_and_inverting_reset, random_reset,
    block_counter_reset, trigger_type_reset,
    data_counter_reset, error_gen_reset,

    walking_and_inverting_enable, random_enable,
    block_counter_enable, trigger_type_enable,
    data_counter_enable, error_gen_enable,

    error_gen_start, selection, int_lwen,

  // SIGNALS TO LENGTH_CONTROLLER
    length_reset, new_block,

  // SIGNALS FROM LENGTH_CONTROLLER
    length_is_0, length_minus_3,

  // SIGNALS TO WORD_COUNTER
    word_count_reset, word_count_enable,

  // SIGNALS FROM WORD_COUNTER
    end_of_block,

  // OTHER OUTPUTS
    run_led, 

  // TO TRIGGER_COUNT_CONTROLLER
    block_sent); 


  input lclk, state_machine_reset;
  input sysenable, utdo, clock_enable, running;
  input [3:0] pattern_switch;
  input length_is_0, length_minus_3, end_of_block;
  
  output  walking_and_inverting_reset, random_reset,
	  block_counter_reset, trigger_type_reset, data_counter_reset,
	  error_gen_reset,
	  walking_and_inverting_enable, random_enable,
	  block_counter_enable, trigger_type_enable,
	  data_counter_enable, error_gen_enable, error_gen_start;

  output [9:0] selection;
  
  output int_lwen, length_reset, new_block;
  output word_count_reset, word_count_enable;
  output run_led;
  output block_sent;
