/*
///////////////////////////////////////////////////////////////////////////////
//
//   Project: Altera circuit of SLIDAS 
//
//   File name: ff_w_enable.v
//   Version:   4.2
//   Updated:   99/08/26 13:56:23
//
//   Author: Ph. Brodier-Yourstone, ECP division, CERN
//
///////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////

     Module description:
     -------------------

     Flip flop with enable

///////////////////////////////////////////////////////////////////////////////
*/


module ff_w_enable (lclk, out, in, enable);
  input lclk, in, enable;
  output out;

  reg out;

  always @(posedge lclk)
    if (enable) out <= #1 in;

endmodule
